Freeciv-3.2: pregamevote Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Data Fields
pregamevote Class Reference

`#include <voteinfo_bar.h>`

Inheritance diagram for pregamevote:

## Public Slots

void | v_yes ()
void | v_no ()
void | v_abstain ()

## Public Member Functions

| pregamevote (QWidget *parent=NULL)
| ~pregamevote ()
void | update_vote ()

## Data Fields

QLabel * | label_text
QLabel * | label_vote_text
QPushButton * | vote_yes
QPushButton * | vote_no
QPushButton * | vote_abstain
QLabel * | lab_yes
QLabel * | lab_no
QLabel * | lab_abstain
QLabel * | voters
QGridLayout * | layout

## Detailed Description

Definition at line 30 of file voteinfo_bar.h.

## Constructor & Destructor Documentation

## ◆ pregamevote()

pregamevote::pregamevote | ( | QWidget * | parent = `NULL` | ) |

explicit

Constructor for pregamevote

Definition at line 33 of file voteinfo_bar.cpp.

## ◆ ~pregamevote()

pregamevote::~pregamevote | ( |  | ) |

Destructor for pregamevote

Definition at line 178 of file voteinfo_bar.cpp.

## Member Function Documentation

## ◆ update_vote()

void pregamevote::update_vote | ( |  | ) |

Updates text on vote

Definition at line 111 of file voteinfo_bar.cpp.

## ◆ v_abstain

void pregamevote::v_abstain | ( |  | ) |

slot

Slot vote abstain

Definition at line 69 of file voteinfo_bar.cpp.

Referenced by pregamevote().

## ◆ v_no

void pregamevote::v_no | ( |  | ) |

slot

Slot vote no

Definition at line 83 of file voteinfo_bar.cpp.

Referenced by pregamevote().

## ◆ v_yes

void pregamevote::v_yes | ( |  | ) |

slot

Slot vote yes

Definition at line 97 of file voteinfo_bar.cpp.

Referenced by pregamevote().

## Field Documentation

## ◆ lab_abstain

QLabel* pregamevote::lab_abstain

Definition at line 44 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().

## ◆ lab_no

QLabel* pregamevote::lab_no

Definition at line 43 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().

## ◆ lab_yes

QLabel* pregamevote::lab_yes

Definition at line 42 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().

## ◆ label_text

QLabel* pregamevote::label_text

Definition at line 37 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().

## ◆ label_vote_text

QLabel* pregamevote::label_vote_text

Definition at line 38 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().

## ◆ layout

QGridLayout* pregamevote::layout

Definition at line 46 of file voteinfo_bar.h.

Referenced by pregamevote().

## ◆ vote_abstain

QPushButton* pregamevote::vote_abstain

Definition at line 41 of file voteinfo_bar.h.

Referenced by pregamevote(), and update_vote().

## ◆ vote_no

QPushButton* pregamevote::vote_no

Definition at line 40 of file voteinfo_bar.h.

Referenced by pregamevote(), and update_vote().

## ◆ vote_yes

QPushButton* pregamevote::vote_yes

Definition at line 39 of file voteinfo_bar.h.

Referenced by pregamevote(), and update_vote().

## ◆ voters

QLabel* pregamevote::voters

Definition at line 45 of file voteinfo_bar.h.

Referenced by pregamevote(), update_vote(), and xvote::xvote().